Skip to main content
GET
/
api
/
v1
/
org
/
support
/
tickets
List Tickets Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/support/tickets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subject": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cluster_name": "<string>",
      "is_tracked_by_team": false
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "total_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Query Parameters

status
string[] | null
cluster_id
string<uuid> | null
q
string | null
page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

result
TicketSummary · object[]
required
pagination
TicketPagination · object
required